# -*- coding: UTF-8 -*-
# Mod属于SDK的内部类,用于绑定
# 通过MCSTUDIO的关卡编辑器来安装MODSDK补全，即可在IDE（集成工具环境）中享受代码补全提示的功能
from mod.common.mod import Mod


# 将引擎的方法绑定到我们自己的类TutorialStepOneMod上用于识别
@Mod.Binding(name="TutorialStepOneMod", version="0.0.1")
class TutorialStepOneMod(object):

    def __init__(self):
        pass

    # 服务端脚本初始化的入口函数
    @Mod.InitServer()
    def server_init(self):
        print '[SDK]>>>>>>Tutorial step one server init'

    # 服务端脚本在退出时执行的析构函数
    @Mod.DestroyServer()
    def server_destroy(self):
        print '[SDK]>>>>>>Tutorial step one server destroy'

    # 客户端脚本初始化的入口函数
    @Mod.InitClient()
    def client_init(self):
        print '[SDK]>>>>>>Tutorial step one client init'

    # 客户端脚本在退出时执行的析构函数
    @Mod.DestroyClient()
    def client_destroy(self):
        print '[SDK]>>>>>>Tutorial step one client destroy'
