# -*- coding: UTF-8 -*-
# ClientSystem属于SDK的内部类,用于绑定系统
from mod.client.system.clientSystem import ClientSystem
import mod.client.extraClientApi as ClientApi


# 继承ClientSystem这个类，并在魔法方法__init__内调用ClientSystem的__init__方法，来初始化这个Main类
class Main(ClientSystem):

    def __init__(self, namespace, system_name):
        ClientSystem.__init__(self, namespace, system_name)
        print '[SDK]>>>>>>Tutorial step two client init'
        self.ListenForEvent('TutorialStepThreeServer', 'TutorialServer', 'ChangePerspective', self, self.change_perspective)

    def change_perspective(self, event):
        p = event['perspective']
        player_id = ClientApi.GetLocalPlayerId()
        perspective_comp = ClientApi.GetEngineCompFactory().CreatePlayerView(player_id)
        perspective_comp.SetPerspective(p)